package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.metadata.entity.SorterItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public interface IBonusCycleBusDepProject extends ICoreBillEntryBase
{
    public boolean exists(IObjectPK pk) throws BOSException, EASBizException;
    public boolean exists(FilterInfo filter) throws BOSException, EASBizException;
    public boolean exists(String oql) throws BOSException, EASBizException;
    public BonusCycleBusDepProjectInfo getBonusCycleBusDepProjectInfo(IObjectPK pk) throws BOSException, EASBizException;
    public BonusCycleBusDepProjectInfo getBonusCycleBusDepProjectInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public BonusCycleBusDepProjectInfo getBonusCycleBusDepProjectInfo(String oql) throws BOSException, EASBizException;
    public IObjectPK addnew(BonusCycleBusDepProjectInfo model) throws BOSException, EASBizException;
    public void addnew(IObjectPK pk, BonusCycleBusDepProjectInfo model) throws BOSException, EASBizException;
    public void update(IObjectPK pk, BonusCycleBusDepProjectInfo model) throws BOSException, EASBizException;
    public void updatePartial(BonusCycleBusDepProjectInfo model, SelectorItemCollection selector) throws BOSException, EASBizException;
    public void updateBigObject(IObjectPK pk, BonusCycleBusDepProjectInfo model) throws BOSException;
    public void delete(IObjectPK pk) throws BOSException, EASBizException;
    public IObjectPK[] getPKList() throws BOSException, EASBizException;
    public IObjectPK[] getPKList(String oql) throws BOSException, EASBizException;
    public IObjectPK[] getPKList(FilterInfo filter, SorterItemCollection sorter) throws BOSException, EASBizException;
    public BonusCycleBusDepProjectCollection getBonusCycleBusDepProjectCollection() throws BOSException;
    public BonusCycleBusDepProjectCollection getBonusCycleBusDepProjectCollection(EntityViewInfo view) throws BOSException;
    public BonusCycleBusDepProjectCollection getBonusCycleBusDepProjectCollection(String oql) throws BOSException;
    public IObjectPK[] delete(FilterInfo filter) throws BOSException, EASBizException;
    public IObjectPK[] delete(String oql) throws BOSException, EASBizException;
    public void delete(IObjectPK[] arrayPK) throws BOSException, EASBizException;
    public void enable(String billId) throws BOSException, EASBizException;
    public void disable(String billId) throws BOSException, EASBizException;
    public void submit(String billId) throws BOSException, EASBizException;
    public void withdraw(String billId) throws BOSException, EASBizException;
    public void calculate(String billId) throws BOSException, EASBizException;
    public String syncDepProject(String cycleId) throws BOSException, EASBizException;
    public void submitCalculate(String billId) throws BOSException, EASBizException;
    public void withdrawToSubmited(String billId) throws BOSException, EASBizException;
    public void submitRecheck(String billId) throws BOSException, EASBizException;
    public void withdrawToCalculate(String billId) throws BOSException, EASBizException;
}